apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: argo-helm-museum-staging
  namespace: argocd
spec:
  project: default
  
  source:   
    repoURL: https://gitlab.com/jichen.liu85/helm-argoinargo.git
    targetRevision: main
    path: staging
  #  helm:
   #   valueFiles:
    #    - values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: myapp-staging
  
  syncPolicy:
    syncOptions:
    - CreateNamespace=true
    
    automated:
      selfHeal: true
      prune: true